
Installer - Bug #30211

proxying pulp rpm/isos to pulpcore with pulpcore disabled disables pulp2 plugins
Status: Closed   

Priority: Normal   

Assignee: William Clark   

Category: Foreman modules   

Target version:    

Difficulty:  Fixed in Releases: 2.2.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-for

eman_proxy_content/pull/265

  

Description

The pulp class is declared in puppet-FPC with

class { 'pulp':

...

      enable_rpm             => $enable_yum and !$proxy_pulp_yum_to_pulpcore,

      enable_iso             => $enable_file and !$proxy_pulp_isos_to_pulpcore,

...

 However $proxy_pulp_{yum,isos}_to_pulpcore defaults to true, leading to these pulp2 plugins being disabled when running

foreman-installer with `--foreman-proxy-plugin-pulp-pulpcore-enabled false`

Associated revisions

Revision 5d691aaf - 06/26/2020 10:08 AM - William Clark

Fixes #30211 - don't disable pulp2 plugins when pulpcore disabled

History

#1 - 06/25/2020 12:09 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/puppet-foreman_proxy_content/pull/265 added

#2 - 06/26/2020 10:08 AM - The Foreman Bot

- Fixed in Releases 2.2.0 added

#3 - 06/26/2020 11:01 AM - William Clark

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman_proxy_content|5d691aaf7ba6aaafc1bf7a89110454eeca94b90b.
